Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.cms
Class CMSAuthenticatedData

    java.lang.Object
      org.bouncycastle.cms.CMSAuthenticatedData

    public class CMSAuthenticatedData

extends java.lang.Object

containing class for an CMS Authenticated Data object

Constructor Summary
`CMSAuthenticatedData(byte[] authData)`
`CMSAuthenticatedData(org.bouncycastle.asn1.cms.ContentInfo contentInfo)`
`CMSAuthenticatedData(java.io.InputStream authData)`

Method Summary
`org.bouncycastle.asn1.cms.AttributeTable` `getAuthAttrs()` return a table of the digested attributes indexed by the OID of the attribute.
`org.bouncycastle.asn1.cms.ContentInfo` `getContentInfo()` return the ContentInfo
`byte[]` `getEncoded()` return the ASN.1 encoded representation of this object.
`byte[]` `getMac()`
`java.lang.String` `getMacAlgOID()` return the object identifier for the content MAC algorithm.
`java.security.AlgorithmParameters` `getMacAlgorithmParameters(java.security.Provider provider)` Return an AlgorithmParameters object giving the MAC parameters used to digest the message content.
`java.security.AlgorithmParameters` `getMacAlgorithmParameters(java.lang.String provider)` Return an AlgorithmParameters object giving the MAC parameters used to digest the message content.
`byte[]` `getMacAlgParams()` return the ASN.1 encoded MAC algorithm parameters, or null if there aren't any.
`RecipientInformationStore` `getRecipientInfos()` return a store of the intended recipients for this message
`org.bouncycastle.asn1.cms.AttributeTable` `getUnauthAttrs()` return a table of the undigested attributes indexed by the OID of the attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMSAuthenticatedData

    public CMSAuthenticatedData(byte[] authData)
                         throws CMSException

Throws:
  `CMSException`

### CMSAuthenticatedData

    public CMSAuthenticatedData(java.io.InputStream authData)
                         throws CMSException

Throws:
  `CMSException`

### CMSAuthenticatedData

    public CMSAuthenticatedData(org.bouncycastle.asn1.cms.ContentInfo contentInfo)
                         throws CMSException

Throws:
  `CMSException`

Method Detail

### getMac

    public byte[] getMac()

### getMacAlgOID

    public java.lang.String getMacAlgOID()

  return the object identifier for the content MAC algorithm.

### getMacAlgParams

    public byte[] getMacAlgParams()

  return the ASN.1 encoded MAC algorithm parameters, or null if there aren't any.

### getMacAlgorithmParameters

    public java.security.AlgorithmParameters getMacAlgorithmParameters(java.lang.String provider)
                                                                throws CMSException,
                                                                       java.security.NoSuchProviderException

  Return an AlgorithmParameters object giving the MAC parameters used to digest the message content.

  Parameters:
    `provider` - the provider to generate the parameters for.
  Returns:
    the parameters object, null if there is not one.
  Throws:
    `CMSException` - if the algorithm cannot be found, or the parameters can't be parsed.
    `java.security.NoSuchProviderException` - if the provider cannot be found.

### getMacAlgorithmParameters

    public java.security.AlgorithmParameters getMacAlgorithmParameters(java.security.Provider provider)
                                                                throws CMSException

  Return an AlgorithmParameters object giving the MAC parameters used to digest the message content.

  Parameters:
    `provider` - the provider to generate the parameters for.
  Returns:
    the parameters object, null if there is not one.
  Throws:
    `CMSException` - if the algorithm cannot be found, or the parameters can't be parsed.

### getRecipientInfos

    public RecipientInformationStore getRecipientInfos()

  return a store of the intended recipients for this message

### getContentInfo

    public org.bouncycastle.asn1.cms.ContentInfo getContentInfo()

  return the ContentInfo

### getAuthAttrs

    public org.bouncycastle.asn1.cms.AttributeTable getAuthAttrs()

  return a table of the digested attributes indexed by the OID of the attribute.

### getUnauthAttrs

    public org.bouncycastle.asn1.cms.AttributeTable getUnauthAttrs()

  return a table of the undigested attributes indexed by the OID of the attribute.

### getEncoded

    public byte[] getEncoded()
                      throws java.io.IOException

  return the ASN.1 encoded representation of this object.

  Throws:
    `java.io.IOException`

Bouncy Castle Cryptography Library 1.45